Resources
Body
resourcesobject · model.AnyResource[]Optional
Responses
202
Accepted
application/json
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Not Found
application/json
409
Conflict
application/json
500
Internal Server Error
application/json
post/apply
POST /v1/apply HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"resources": [
{}
]
}{
"updates": [
{
"before": null,
"reason": "string",
"resource": null,
"status": "error"
}
]
}Bodyobject · model.DeletePayload[]
object · model.DeletePayload[]Optional
Responses
202
Accepted
application/json
errorsstring[]Optional
400
Bad Request
application/json
401
Unauthorized
application/json
404
Not Found
application/json
500
Internal Server Error
application/json
post/delete
POST /v1/delete HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 4
[
{}
]{
"errors": [
"text"
],
"updates": [
{
"before": null,
"reason": "string",
"resource": null,
"status": "error"
}
]
}Path parameters
kindstringRequired
the kind of the resource
namestringRequired
the name of the resource
Responses
200
OK
application/json
resourceanyOptional
401
Unauthorized
application/json
500
Internal Server Error
application/json
get/resources/{kind}/{name}
GET /v1/resources/{kind}/{name} HTTP/1.1
Accept: */*
{
"resource": null
}Path parameters
kindstringRequired
the kind of the resource
namestringRequired
the name of the resource
Responses
204
Successful Delete, no content
No content
401
Unauthorized
application/json
404
Not Found
application/json
500
Internal Server Error
application/json
delete/resources/{kind}/{name}
DELETE /v1/resources/{kind}/{name} HTTP/1.1
Accept: */*
No content
Path parameters
kindstringRequired
the kind of the resource
namestringRequired
the name of the resource
Responses
200
OK
application/json
versionsobject · model.AnyResource[]Optional
400
Bad Request
application/json
401
Unauthorized
application/json
404
Not Found
application/json
500
Internal Server Error
application/json
get/{kind}/{name}/history
GET /v1/{kind}/{name}/history HTTP/1.1
Accept: */*
{
"versions": [
{}
]
}Last updated
Was this helpful?